@header-height: 80px;
@primary-color: #3f92f8;
@secondray-color: #031628;
@base-padding: 10px;
@base-margin: 10px;
@border-color: #e5e6e7;

ul, li {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

body {
  background: #f0f3f6;
}

nav {
  display: block;
  line-height: @header-height;
  background: @secondray-color;
  padding: 0 @base-padding*4;
  li {
    display: inline-block;
    a {
      display: block;
      color: #aaa;
      text-decoration: none;
      padding: 0 @base-padding*2;
      &.current {
        color: #fff;
        background: @primary-color;
      }
    }
  }
}

.page {
  background: #feffff;
  margin: @base-margin*2;
}

.page.goods {
  ul {
    padding: @base-padding;
    li {
      display: inline-block;
      margin: @base-margin;
      width: 200px;
      height: 340px;
      border: 1px solid @border-color;
      box-sizing: content-box;
      img {
        height: 200px;
      }
      .shop-info {
        padding: @base-padding @base-padding*2;
        .name {
          font-size: 18px;
        }
        .price {
          margin: @base-margin 0;
          color: gray;
        }
        button {
          width: 40px;
          height: 40px;
          padding: 0;
          margin: 0;
          border-radius: 50%;
          outline: none;
          float: right;
          font-size: 28px;
          font-weight: 200;
          border: 1px solid @border-color;
          cursor: pointer;
          &:active {
            border-color: darken(@border-color, 20%);
          }
        }
      }
    }
  }
}

.page.goods-add {
  h2 {
    padding: @base-padding*2;
    text-align: center;
    font-weight: normal;
  }
  form {
    display: block;
    padding: 0 @base-padding*2 @base-padding*6;
    label {
      padding-top: @base-padding*2;
      margin: @base-margin 0;
      display: block;
      &::after {
        content: '：';
      }
      &.required::before {
        color: red;
        margin-right: @base-margin/2;
        content: '*';
      }
    }
    input[type="text"] {
      border: 1px solid @border-color;
      height: 32px;
      border-radius: 3px;
      padding: @base-padding;
      display: block;
      width: 100%;
    }
    input[type="submit"] {
      margin: @base-margin*2 0;
      height: 32px;
      padding: 0 20px;
      border-radius: 3px;
      color: #fff;
      background: @primary-color;
      border: 1px solid darken($background, 10%);
      &:disabled {
        background: lighten(@primary-color, 20%);
        border: 1px solid darken($background, 10%);
      }
    }
  }
}
